#!/bin/perl

#use strict;
#use diagnostics;

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Data-ParseTable.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw{ no_plan };

#tests => 1;
BEGIN { use_ok('Data::ParseTable') };
#can_ok( 'Data::ParseTable', ('parse_table'));

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# Test HTML as file and line array

my $result_hash_ref = Data::ParseTable::parse_table( "t/simple.txt", 
						     { return_as_hash => 1 } );

foreach my $header (keys %{$result_hash_ref}){
    ok( $header =~ /.*test./ , "Correct headers");
}
is( scalar keys %{$result_hash_ref}, 4, "Correct number of headers");

my $result_hash_ref2 = Data::ParseTable::parse_table( "t/simple2.txt", 
						     { return_as_hash => 1 } );

#foreach my $header (keys %{$result_hash_ref2}){
#    ok( $header =~ /test./ , "Correct headers");
#}

#use Data::Dumper;
#print $result_hash_ref;


my $result_array_ref = Data::ParseTable::parse_table( "t/simple.txt" );

is( scalar(@{$result_array_ref}), 3 , "Number of lines correct");



