# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Chandra-Tools-ECF.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 1;
BEGIN { use_ok('Chandra::Tools::ECF') };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

%spec = (ecf   => 0.9,
	 theta => 2,
	 phi   => 5,
	 energy => 1.3);

my $circ = Chandra::Tools::ECF->new( $Chandra::Tools::ECF::Circular_File );
%circ = $circ->ECF( %spec );
print "Radius: $circ{radius}  Smin: $circ{radius_smin}  Smax: $circ{radius_smax}\n";

my $ell = Chandra::Tools::ECF->new( $Chandra::Tools::ECF::Elliptical_File );
%ell = $ell->ECF( %spec );
print "sma:$ell{sma} smb:$ell{smb} y:$ell{y} z:$ell{z} pa:$ell{pa} \n";

# Test wrapping of phi
%ell = $ell->ECF( %spec,
	          phi => 345 );
print "sma:$ell{sma} smb:$ell{smb} y:$ell{y} z:$ell{z} pa:$ell{pa} \n";
